Upgrade 6.7 to 6.8 fails during satellite-installer keytool: unknown named curve

Latest response

Hello Experts!

We are trying to upgrade from Satellite 6.7 -> 6.8.

During the satellite-installer part of the upgrade we get an issue when satellite-installer runs keytool to import a key. As shown below;

satellite-installer keytool error

When we try to run keytool manually we get the following error;

Keytool error showing unknown named curve error

It would seem that this is related to openjdk not supporting elliptic curve that is required.

We are runnning the latest patched version of RHEL 7.9, Openjdk 1.8.0 and Satellite 6.8.6, the full versions are in the screenshot below;
software versions

Responses

Hi Ben,

For this specific server-certificate curve issue you describe, I highly recommend a case with Red Hat. They will probably want an sosreport.

Kind Regards,
RJ

Thank you for the quick reply RJ, We have opened a case with Red Hat and are currently gathering the sosreport information. We are just hoping someone in the community may have seen this previously ?

Kind regards, David Grindstaff